> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agreement



## OpenAPI

````yaml GET /schedule/v1/agreements/{agreementId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/agreements/{agreementId}:
    get:
      tags:
        - Agreements
      summary: Get agreement
      operationId: GetAgreement
      parameters:
        - in: path
          name: agreementId
          description: Agreement UUID
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          description: Limit results
          schema:
            type: integer
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Get agreement
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  companyId:
                    type: string
                    format: uuid
                  name:
                    type: string
                  code:
                    type: string
                  color:
                    type: string
                  annualHours:
                    type: number
                  additionalHoursPercent:
                    type: number
                  totalAdditionalHours:
                    type: number
                  maxDaysToWork:
                    type: number
                  createdAt:
                    type: string
                    format: Y-m-dTH:i:sP
                    example: '2020-01-01T10:00:00+01:00'
                  updatedAt:
                    type: string
                    format: Y-m-dTH:i:sP
                    example: '2020-01-01T10:00:00+01:00'
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````